Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84996 - apache gui config creates invalid config: AllowOverride from all
Summary: apache gui config creates invalid config: AllowOverride from all
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-httpd
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 19:50 UTC by kelly felkins
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 11:18:11 UTC


Attachments (Terms of Use)

Description kelly felkins 2003-02-24 19:50:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When using the apache gui config tool, if you enable .htaccess overrides  for a
directory, an invalid file is created. Here is the bad section:

	<Directory "/var/www/html/">
	 	AllowOverride from all
 		
		
		
	</Directory> 


"from" is not a valid option on the allowoverride.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. [red hat] > Server Settings > http server
2. "virtual hosts" tab
3. edit default virtual host
4. add a directory. I added the default, which was "/var/www/html/"
5. check the "Let .htaccess files override directory options"
6. say ok to all the boxes
7. restart the server

    

Actual Results:  [root@ss40 /]# /usr/sbin/apachectl -k restart
Syntax error on line 996 of /etc/httpd/conf/httpd.conf:
Illegal override option from
[root@ss40 /]#


Expected Results:  no error on restart

Additional info:

Comment 1 Phil Knirsch 2003-02-25 11:18:11 UTC
Has been fixed in latest rawhide packages.

Read ya, phil


Note You need to log in before you can comment on or make changes to this bug.